Folks.SimpleQuery.SimpleQuery – folks Reference Manual

# SimpleQuery

## Description:

public SimpleQuery (string query_string, string[] match_fields)

Create a simple text query.

## Parameters:

query_string | text to match contacts against. Results will match all tokens within the whitespace-delimited string (logical-ANDing the tokens). A value of "" will match all contacts. However, it is recommended to not use a query at all if filtering is not required.
match_fields | the field names to apply this query to. See Query.match_fields for more details. An empty array will match all contacts. However, it is recommended to use the IndividualAggregator directly if filtering is not required. PersonaDetail and PersonaStore.detail_key for pre-defined field names.

## Since:

0.11.0